
class TITLED_WINDOW

inherit
	EV_TITLED_WINDOW
		redefine
			initialize, is_in_default_state
		end
			
feature {NONE}-- Initialization

	initialize is
			-- Initialize `Current'.
		local 
			l_ev_menu_bar_1: EV_MENU_BAR
			l_ev_menu_2: EV_MENU
			l_ev_menu_item_1: EV_MENU_ITEM
			l_ev_check_menu_item_1: EV_CHECK_MENU_ITEM
			l_ev_menu_separator_1: EV_MENU_SEPARATOR
			l_ev_radio_menu_item_1: EV_RADIO_MENU_ITEM
			l_ev_cell_1: EV_CELL
			l_ev_fixed_1: EV_FIXED
			l_ev_frame_1: EV_FRAME
			l_ev_horizontal_box_1: EV_HORIZONTAL_BOX
			l_ev_horizontal_split_area_1: EV_HORIZONTAL_SPLIT_AREA
			l_ev_notebook_1: EV_NOTEBOOK
			l_ev_scrollable_area_1: EV_SCROLLABLE_AREA
			l_ev_table_1: EV_TABLE
			l_ev_vertical_box_1: EV_VERTICAL_BOX
			l_ev_vertical_split_area_1: EV_VERTICAL_SPLIT_AREA
			l_ev_viewport_1: EV_VIEWPORT
			l_ev_button_1: EV_BUTTON
			l_ev_check_button_1: EV_CHECK_BUTTON
			l_ev_radio_button_1: EV_RADIO_BUTTON
			l_ev_spin_button_1: EV_SPIN_BUTTON
			l_ev_drawing_area_1: EV_DRAWING_AREA
			l_ev_horizontal_progress_bar_1: EV_HORIZONTAL_PROGRESS_BAR
			l_ev_text_field_1: EV_TEXT_FIELD
			l_ev_text_2: EV_TEXT
			l_ev_toggle_button_1: EV_TOGGLE_BUTTON
			l_ev_tool_bar_1, l_ev_tool_bar_2: EV_TOOL_BAR
			l_ev_tree_1, l_ev_tree_2: EV_TREE
			l_ev_vertical_progress_bar_1: EV_VERTICAL_PROGRESS_BAR
			l_ev_vertical_range_1: EV_VERTICAL_RANGE
			l_ev_vertical_scroll_bar_1: EV_VERTICAL_SCROLL_BAR
			l_ev_vertical_separator_1: EV_VERTICAL_SEPARATOR
			l_ev_horizontal_range_1: EV_HORIZONTAL_RANGE
			l_ev_horizontal_scroll_bar_1: EV_HORIZONTAL_SCROLL_BAR
			l_ev_horizontal_separator_1: EV_HORIZONTAL_SEPARATOR
			l_ev_label_1: EV_LABEL
			l_ev_list_1: EV_LIST
			l_ev_list_item_1: EV_LIST_ITEM
			l_ev_tool_bar_button_1: EV_TOOL_BAR_BUTTON
			l_ev_tool_bar_radio_button_1: EV_TOOL_BAR_RADIO_BUTTON
			l_ev_tool_bar_separator_1: EV_TOOL_BAR_SEPARATOR
			l_ev_tool_bar_toggle_button_1: EV_TOOL_BAR_TOGGLE_BUTTON
			l_ev_tree_item_1: EV_TREE_ITEM
		do
			Precursor {EV_TITLED_WINDOW}
			
			create l_ev_menu_bar_1
			create l_ev_menu_2
			create l_ev_menu_item_1
			create l_ev_check_menu_item_1
			create l_ev_menu_separator_1
			create l_ev_radio_menu_item_1
			create l_ev_cell_1
			create l_ev_fixed_1
			create l_ev_frame_1
			create l_ev_horizontal_box_1
			create l_ev_horizontal_split_area_1
			create l_ev_notebook_1
			create l_ev_scrollable_area_1
			create l_ev_table_1
			create l_ev_vertical_box_1
			create l_ev_vertical_split_area_1
			create l_ev_viewport_1
			create l_ev_button_1
			create l_ev_check_button_1
			create l_ev_radio_button_1
			create l_ev_spin_button_1
			create l_ev_drawing_area_1
			create l_ev_horizontal_progress_bar_1
			create l_ev_text_field_1
			create l_ev_text_2
			create l_ev_toggle_button_1
			create l_ev_tool_bar_1
			create l_ev_tree_1
			create l_ev_vertical_progress_bar_1
			create l_ev_vertical_range_1
			create l_ev_vertical_scroll_bar_1
			create l_ev_vertical_separator_1
			create l_ev_horizontal_range_1
			create l_ev_horizontal_scroll_bar_1
			create l_ev_horizontal_separator_1
			create l_ev_label_1
			create l_ev_list_1
			create l_ev_list_item_1
			create l_ev_tool_bar_2
			create l_ev_tool_bar_button_1
			create l_ev_tool_bar_radio_button_1
			create l_ev_tool_bar_separator_1
			create l_ev_tool_bar_toggle_button_1
			create l_ev_tree_2
			create l_ev_tree_item_1
			
				-- Build_widget_structure.
			set_menu_bar (l_ev_menu_bar_1)
			l_ev_menu_bar_1.extend (l_ev_menu_2)
			l_ev_menu_2.extend (l_ev_menu_item_1)
			l_ev_menu_2.extend (l_ev_check_menu_item_1)
			l_ev_menu_bar_1.extend (l_ev_menu_separator_1)
			l_ev_menu_bar_1.extend (l_ev_radio_menu_item_1)
			extend (l_ev_cell_1)
			l_ev_cell_1.extend (l_ev_fixed_1)
			l_ev_fixed_1.extend (l_ev_frame_1)
			l_ev_frame_1.extend (l_ev_horizontal_box_1)
			l_ev_horizontal_box_1.extend (l_ev_horizontal_split_area_1)
			l_ev_horizontal_split_area_1.extend (l_ev_notebook_1)
			l_ev_notebook_1.extend (l_ev_scrollable_area_1)
			l_ev_scrollable_area_1.extend (l_ev_table_1)
			l_ev_vertical_box_1.extend (l_ev_vertical_split_area_1)
			l_ev_vertical_split_area_1.extend (l_ev_viewport_1)
			l_ev_viewport_1.extend (l_ev_button_1)
			l_ev_vertical_split_area_1.extend (l_ev_check_button_1)
			l_ev_vertical_box_1.extend (l_ev_radio_button_1)
			l_ev_vertical_box_1.extend (l_ev_spin_button_1)
			l_ev_notebook_1.extend (l_ev_drawing_area_1)
			l_ev_notebook_1.extend (l_ev_horizontal_progress_bar_1)
			l_ev_notebook_1.extend (l_ev_text_field_1)
			l_ev_notebook_1.extend (l_ev_text_2)
			l_ev_notebook_1.extend (l_ev_toggle_button_1)
			l_ev_notebook_1.extend (l_ev_tool_bar_1)
			l_ev_notebook_1.extend (l_ev_tree_1)
			l_ev_notebook_1.extend (l_ev_vertical_progress_bar_1)
			l_ev_notebook_1.extend (l_ev_vertical_range_1)
			l_ev_notebook_1.extend (l_ev_vertical_scroll_bar_1)
			l_ev_notebook_1.extend (l_ev_vertical_separator_1)
			l_ev_horizontal_split_area_1.extend (l_ev_horizontal_range_1)
			l_ev_horizontal_box_1.extend (l_ev_horizontal_scroll_bar_1)
			l_ev_horizontal_box_1.extend (l_ev_horizontal_separator_1)
			l_ev_horizontal_box_1.extend (l_ev_label_1)
			l_ev_horizontal_box_1.extend (l_ev_list_1)
			l_ev_list_1.extend (l_ev_list_item_1)
			l_ev_horizontal_box_1.extend (l_ev_tool_bar_2)
			l_ev_tool_bar_2.extend (l_ev_tool_bar_button_1)
			l_ev_tool_bar_2.extend (l_ev_tool_bar_radio_button_1)
			l_ev_tool_bar_2.extend (l_ev_tool_bar_separator_1)
			l_ev_tool_bar_2.extend (l_ev_tool_bar_toggle_button_1)
			l_ev_fixed_1.extend (l_ev_tree_2)
			l_ev_tree_2.extend (l_ev_tree_item_1)
			
			set_title ("Display window")
				-- Size and position all children of `l_ev_fixed_1'.
			l_ev_fixed_1.set_item_x_position (l_ev_frame_1, 0000)
			l_ev_fixed_1.set_item_y_position (l_ev_frame_1, 0000)
			l_ev_fixed_1.set_item_width (l_ev_frame_1, 0399)
			l_ev_fixed_1.set_item_height (l_ev_frame_1, 0114)
			l_ev_fixed_1.set_item_x_position (l_ev_tree_2, 0000)
			l_ev_fixed_1.set_item_y_position (l_ev_tree_2, 0000)
			l_ev_fixed_1.set_item_width (l_ev_tree_2, 0042)
			l_ev_fixed_1.set_item_height (l_ev_tree_2, 0060)
			l_ev_notebook_1.set_item_text (l_ev_scrollable_area_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_drawing_area_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_horizontal_progress_bar_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_text_field_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_text_2, "      ")
			l_ev_notebook_1.set_item_text (l_ev_toggle_button_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_tool_bar_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_tree_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_vertical_progress_bar_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_vertical_range_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_vertical_scroll_bar_1, "      ")
			l_ev_notebook_1.set_item_text (l_ev_vertical_separator_1, "      ")
			l_ev_scrollable_area_1.set_item_width (45)
			l_ev_scrollable_area_1.set_item_height (85)
			l_ev_table_1.resize (1, 1)
				-- Insert and position all children of `l_ev_table_1'.
			l_ev_table_1.put_at_position (l_ev_vertical_box_1, 1, 1, 1, 1)
			l_ev_viewport_1.set_item_width (6)
			l_ev_viewport_1.set_item_height (24)
			l_ev_tree_item_1.enable_select
			
		end


feature {NONE} -- Implementation

	is_in_default_state: BOOLEAN is
			-- Is `Current' in its default state?
		do
			-- Re-implement if you wish to enable checking
			-- for `Current'.
			Result := True
		end
	
end
